Index: BirtReportDesign/ActiveLoansByLoanOfficer.rptdesign
===================================================================
--- BirtReportDesign/ActiveLoansByLoanOfficer.rptdesign	(revision 12247)
+++ BirtReportDesign/ActiveLoansByLoanOfficer.rptdesign	(working copy)
@@ -11,15 +11,6 @@
         </structure>
     </list-property>
     <parameters>
-        <scalar-parameter name="reportName" id="1126">
-            <property name="hidden">false</property>
-            <property name="valueType">static</property>
-            <property name="dataType">string</property>
-            <property name="controlType">text-box</property>
-            <structure name="format">
-                <property name="category">Unformatted</property>
-            </structure>
-        </scalar-parameter>
         <scalar-parameter name="userId" id="157">
             <property name="hidden">true</property>
             <property name="valueType">static</property>
@@ -79,13 +70,13 @@
     </parameters>
     <data-sources>
         <script-data-source name="Scripted Data Source for Report#2" id="153">
-            <method name="open"><![CDATA[Packages.java.util.logging.Logger.getLogger("").info("DS-OPEN");
-
-var userId = reportContext.getParameterValue("userId");
-reportsDataService = new Packages.org.mifos.application.reports.business.service.ReportsDataService();
-reportsDataService.initialize(userId);
+            <method name="open"><![CDATA[Packages.java.util.logging.Logger.getLogger("").info("DS-OPEN");
+
+var userId = reportContext.getParameterValue("userId");
+reportsDataService = new Packages.org.mifos.application.reports.business.service.ReportsDataService();
+reportsDataService.initialize(userId);
 Packages.org.mifos.application.productdefinition.persistence.LoanPrdPersistence.enableThreadCacheForReports();]]></method>
-            <method name="close"><![CDATA[reportsDataService = null;
+            <method name="close"><![CDATA[reportsDataService = null;
 Packages.org.mifos.application.productdefinition.persistence.LoanPrdPersistence.disableThreadCacheForReports();]]></method>
         </script-data-source>
     </data-sources>
@@ -126,51 +117,51 @@
                 </list-property>
             </structure>
             <property name="dataSource">Scripted Data Source for Report#2</property>
-            <method name="open"><![CDATA[Packages.java.util.logging.Logger.getLogger("").info("LP");
-var request = reportContext.getHttpServletRequest();
-Packages.java.util.logging.Logger.getLogger("").info("request:" + request );
-
-loanProducts = reportsDataService.getAllLoanProducts();
-if (loanProducts.size()>1) {
-	reportContext.setParameterValue("loanProductId", loanProducts.get(1).getPrdOfferingId());
-	reportContext.setPersistentGlobalVariable("defaultLoanProductId", loanProducts.get(1).getPrdOfferingId());
-	Packages.java.util.logging.Logger.getLogger("").info("set 2nd loanProduct as default:" + reportContext.getParameterValue("loanProductId"));
-	Packages.java.util.logging.Logger.getLogger("").info("defaultLoanProductId:" + reportContext.getPersistentGlobalVariable("defaultLoanProductId"));
-}
-
-iterator = loanProducts.iterator();
-
-flag = 0;
+            <method name="open"><![CDATA[Packages.java.util.logging.Logger.getLogger("").info("LP");
+var request = reportContext.getHttpServletRequest();
+Packages.java.util.logging.Logger.getLogger("").info("request:" + request );
+
+loanProducts = reportsDataService.getAllLoanProducts();
+if (loanProducts.size()>1) {
+	reportContext.setParameterValue("loanProductId", loanProducts.get(1).getPrdOfferingId());
+	reportContext.setPersistentGlobalVariable("defaultLoanProductId", loanProducts.get(1).getPrdOfferingId());
+	Packages.java.util.logging.Logger.getLogger("").info("set 2nd loanProduct as default:" + reportContext.getParameterValue("loanProductId"));
+	Packages.java.util.logging.Logger.getLogger("").info("defaultLoanProductId:" + reportContext.getPersistentGlobalVariable("defaultLoanProductId"));
+}
+
+iterator = loanProducts.iterator();
+
+flag = 0;
 branchId = reportContext.getParameterValue("branchId");]]></method>
-            <method name="fetch"><![CDATA[if(flag == 0) {
-	if(branchId == null || branchId == -2){
-	    row["ID"] = -2;
-	    row["Name"] = "---Select---";
-	    
-	}else if(loanProducts.size() == 1) {
-        row["ID"] = -2;
-	    row["Name"] = "---N/A---";
-    }
-	flag = -1;
-	return true;
-}
-
-
-if(iterator.hasNext() == false ){
-	return false;
-}
-
-if (loanProducts.size()>1) {
-    var loanProduct = iterator.next( );
-
-    row["ID"] = loanProduct.getPrdOfferingId();
-    row["Name"] = loanProduct.getPrdOfferingName();
-    if(row["ID"] == null)
-       row["ID"] = -1;
-
-    return true;
+            <method name="fetch"><![CDATA[if(flag == 0) {
+	if(branchId == null || branchId == -2){
+	    row["ID"] = -2;
+	    row["Name"] = "---Select---";
+	    
+	}else if(loanProducts.size() == 1) {
+        row["ID"] = -2;
+	    row["Name"] = "---N/A---";
+    }
+	flag = -1;
+	return true;
+}
+
+
+if(iterator.hasNext() == false ){
+	return false;
+}
+
+if (loanProducts.size()>1) {
+    var loanProduct = iterator.next( );
+
+    row["ID"] = loanProduct.getPrdOfferingId();
+    row["Name"] = loanProduct.getPrdOfferingName();
+    if(row["ID"] == null)
+       row["ID"] = -1;
+
+    return true;
 }]]></method>
-            <method name="close"><![CDATA[loanProducts = null;
+            <method name="close"><![CDATA[loanProducts = null;
 iterator = null;]]></method>
         </script-data-set>
         <script-data-set name="Branches" id="155">
@@ -209,37 +200,37 @@
                 </list-property>
             </structure>
             <property name="dataSource">Scripted Data Source for Report#2</property>
-            <method name="open"><![CDATA[Packages.java.util.logging.Logger.getLogger("").info("BR");
-branches = reportsDataService.getActiveBranchesUnderUser();
-
-if (branches.size()>1) {
-	reportContext.setParameterValue("branchId", branches.get(1).getOfficeId());
-	reportContext.setPersistentGlobalVariable("defaultBranchId", branches.get(1).getOfficeId());
-	Packages.java.util.logging.Logger.getLogger("").info("set 2nd branch as default:" + reportContext.getParameterValue("branchId"));
-	Packages.java.util.logging.Logger.getLogger("").info("defaultBranchId:" + reportContext.getPersistentGlobalVariable("defaultBranchId"));
-}
-
-iterator = branches.iterator();
-
+            <method name="open"><![CDATA[Packages.java.util.logging.Logger.getLogger("").info("BR");
+branches = reportsDataService.getActiveBranchesUnderUser();
+
+if (branches.size()>1) {
+	reportContext.setParameterValue("branchId", branches.get(1).getOfficeId());
+	reportContext.setPersistentGlobalVariable("defaultBranchId", branches.get(1).getOfficeId());
+	Packages.java.util.logging.Logger.getLogger("").info("set 2nd branch as default:" + reportContext.getParameterValue("branchId"));
+	Packages.java.util.logging.Logger.getLogger("").info("defaultBranchId:" + reportContext.getPersistentGlobalVariable("defaultBranchId"));
+}
+
+iterator = branches.iterator();
+
 flag = 0;]]></method>
-            <method name="fetch"><![CDATA[if(flag == 0) {
-	row["ID"] = -2;
-	row["Name"] = "---Select---";
-	flag = -1;
-	return true;
-}
-
-if(iterator.hasNext() == false ){
-	return false;
-}
-
-var branch = iterator.next();
-
-row["ID"] = branch.getOfficeId();
-row["Name"] = branch.getOfficeName();
-
+            <method name="fetch"><![CDATA[if(flag == 0) {
+	row["ID"] = -2;
+	row["Name"] = "---Select---";
+	flag = -1;
+	return true;
+}
+
+if(iterator.hasNext() == false ){
+	return false;
+}
+
+var branch = iterator.next();
+
+row["ID"] = branch.getOfficeId();
+row["Name"] = branch.getOfficeName();
+
 return true;]]></method>
-            <method name="close"><![CDATA[branches = null;
+            <method name="close"><![CDATA[branches = null;
 iterator = null;]]></method>
         </script-data-set>
         <script-data-set name="Loan Officers" id="156">
@@ -278,51 +269,51 @@
                 </list-property>
             </structure>
             <property name="dataSource">Scripted Data Source for Report#2</property>
-            <method name="open"><![CDATA[Packages.java.util.logging.Logger.getLogger("").info("LO");
-branchId = reportContext.getParameterValue("branchId");
-Packages.java.util.logging.Logger.getLogger("").info("getParameterValue-branchId:" + branchId);
-Packages.java.util.logging.Logger.getLogger("").info("defaultBranchId:" + reportContext.getPersistentGlobalVariable("defaultBranchId"));
-
-loanOfficers = reportsDataService.getActiveLoanOfficers(branchId);
-
-if (loanOfficers.size()>1) {
-	reportContext.setParameterValue("loanOfficerId", loanOfficers.get(1).getPersonnelId());
-	reportContext.setPersistentGlobalVariable("defaultLoanOfficerId", loanOfficers.get(1).getPersonnelId());
-	Packages.java.util.logging.Logger.getLogger("").info("set 2nd loanOfficer as default:" + reportContext.getParameterValue("loanOfficerId"));
-	Packages.java.util.logging.Logger.getLogger("").info("defaultLoanOfficerId:" + reportContext.getPersistentGlobalVariable("defaultLoanOfficerId"));
-}
-
-iterator = loanOfficers.iterator();
-
+            <method name="open"><![CDATA[Packages.java.util.logging.Logger.getLogger("").info("LO");
+branchId = reportContext.getParameterValue("branchId");
+Packages.java.util.logging.Logger.getLogger("").info("getParameterValue-branchId:" + branchId);
+Packages.java.util.logging.Logger.getLogger("").info("defaultBranchId:" + reportContext.getPersistentGlobalVariable("defaultBranchId"));
+
+loanOfficers = reportsDataService.getActiveLoanOfficers(branchId);
+
+if (loanOfficers.size()>1) {
+	reportContext.setParameterValue("loanOfficerId", loanOfficers.get(1).getPersonnelId());
+	reportContext.setPersistentGlobalVariable("defaultLoanOfficerId", loanOfficers.get(1).getPersonnelId());
+	Packages.java.util.logging.Logger.getLogger("").info("set 2nd loanOfficer as default:" + reportContext.getParameterValue("loanOfficerId"));
+	Packages.java.util.logging.Logger.getLogger("").info("defaultLoanOfficerId:" + reportContext.getPersistentGlobalVariable("defaultLoanOfficerId"));
+}
+
+iterator = loanOfficers.iterator();
+
 flag = 0;]]></method>
-            <method name="fetch"><![CDATA[if(flag == 0) {
-	if(branchId == null || branchId == -2){
-	    row["ID"] = -2;
-	    row["Name"] = "---Select---";
-	    
-	}else if(loanOfficers.size() == 1) {
-        row["ID"] = -2;
-	    row["Name"] = "---N/A---";
-    }
-	flag = -1;
-	return true;
-}
-
-if(iterator.hasNext() == false ) {
-	return false;
-}
-
-if (loanOfficers.size()>1) {
-    var loanOfficer = iterator.next( );
-
-    row["ID"] = loanOfficer.getPersonnelId();
-    row["Name"] = loanOfficer.getDisplayName();
-    if(row["ID"] == null)
-       row["ID"] = -1;
-
-    return true;
+            <method name="fetch"><![CDATA[if(flag == 0) {
+	if(branchId == null || branchId == -2){
+	    row["ID"] = -2;
+	    row["Name"] = "---Select---";
+	    
+	}else if(loanOfficers.size() == 1) {
+        row["ID"] = -2;
+	    row["Name"] = "---N/A---";
+    }
+	flag = -1;
+	return true;
+}
+
+if(iterator.hasNext() == false ) {
+	return false;
+}
+
+if (loanOfficers.size()>1) {
+    var loanOfficer = iterator.next( );
+
+    row["ID"] = loanOfficer.getPersonnelId();
+    row["Name"] = loanOfficer.getDisplayName();
+    if(row["ID"] == null)
+       row["ID"] = -1;
+
+    return true;
 }]]></method>
-            <method name="close"><![CDATA[loanOfficers = null;
+            <method name="close"><![CDATA[loanOfficers = null;
 iterator = null;]]></method>
         </script-data-set>
         <script-data-set name="Data Set For Active Loans By Loan Officer" id="860">
@@ -502,42 +493,42 @@
                 </list-property>
             </structure>
             <property name="dataSource">Scripted Data Source for Report#2</property>
-            <method name="open"><![CDATA[Packages.java.util.logging.Logger.getLogger("").info("DFLAIAB");
-
-var branchId = reportContext.getParameterValue("branchId");
-var loanOfficerId = reportContext.getParameterValue("loanOfficerId");
-var loanProductId = reportContext.getParameterValue("loanProductId");
-
-loans = reportsDataService.getActiveLoansBothInGoodAndBadStandingByLoanOfficer(branchId,loanOfficerId,loanProductId);
+            <method name="open"><![CDATA[Packages.java.util.logging.Logger.getLogger("").info("DFLAIAB");
+
+var branchId = reportContext.getParameterValue("branchId");
+var loanOfficerId = reportContext.getParameterValue("loanOfficerId");
+var loanProductId = reportContext.getParameterValue("loanProductId");
+
+loans = reportsDataService.getActiveLoansBothInGoodAndBadStandingByLoanOfficer(branchId,loanOfficerId,loanProductId);
 iterator = loans.iterator();]]></method>
-            <method name="fetch"><![CDATA[if(iterator.hasNext() == false ){
-	return false;
-}
-
-var loan = iterator.next( );
-row["Number"]= loan.getGlobalAccountNum();
-row["Name"] = loan.getCustomer().getDisplayName();
-row["DisbursementAmount"] = loan.getLoanAmount().getAmount();
-row["DisbursementDate"] = loan.getDisbursementDate();
-row["DisbursementTerm"] = loan.getDisbursementTerm();
-
-if(loan.getDetailsOfNextInstallment() != null) {
-    row["NextPaymentAmount"] = loan.getDetailsOfNextInstallment().getPrincipal().getAmount();
-    row["NextPaymentDate"] = loan.getDetailsOfNextInstallment().getActionDate();
-}else{
-    row["NextPaymentAmount"] = 0;
-    
-}
-row["LoanBalance"] = loan.getRemainingPrincipalAmount().getAmount();
-
-row["PrincipalInArrears"] = loan.getTotalPrincipalAmountInArrearsAndOutsideLateness().getAmount();
-row["InterestInArrears"] = loan.getTotalInterestAmountInArrearsAndOutsideLateness().getAmount();
-
-row["DaysWithoutPayment"] = loan.getDaysWithoutPayment();
-row["PaymentInArrears"] = loan.getPaymentsInArrears();
-row["NetOfSavings"] = loan.getNetOfSaving().getAmount();
+            <method name="fetch"><![CDATA[if(iterator.hasNext() == false ){
+	return false;
+}
+
+var loan = iterator.next( );
+row["Number"]= loan.getGlobalAccountNum();
+row["Name"] = loan.getCustomer().getDisplayName();
+row["DisbursementAmount"] = loan.getLoanAmount().getAmount();
+row["DisbursementDate"] = loan.getDisbursementDate();
+row["DisbursementTerm"] = loan.getDisbursementTerm();
+
+if(loan.getDetailsOfNextInstallment() != null) {
+    row["NextPaymentAmount"] = loan.getDetailsOfNextInstallment().getPrincipal().getAmount();
+    row["NextPaymentDate"] = loan.getDetailsOfNextInstallment().getActionDate();
+}else{
+    row["NextPaymentAmount"] = 0;
+    
+}
+row["LoanBalance"] = loan.getRemainingPrincipalAmount().getAmount();
+
+row["PrincipalInArrears"] = loan.getTotalPrincipalAmountInArrearsAndOutsideLateness().getAmount();
+row["InterestInArrears"] = loan.getTotalInterestAmountInArrearsAndOutsideLateness().getAmount();
+
+row["DaysWithoutPayment"] = loan.getDaysWithoutPayment();
+row["PaymentInArrears"] = loan.getPaymentsInArrears();
+row["NetOfSavings"] = loan.getNetOfSaving().getAmount();
 return true;]]></method>
-            <method name="close"><![CDATA[loans = null;
+            <method name="close"><![CDATA[loans = null;
 iterator = null;]]></method>
         </script-data-set>
     </data-sets>
Index: BirtReportDesign/DetailedAgingPortfolioAtRisk.rptdesign
===================================================================
--- BirtReportDesign/DetailedAgingPortfolioAtRisk.rptdesign	(revision 12247)
+++ BirtReportDesign/DetailedAgingPortfolioAtRisk.rptdesign	(working copy)
@@ -5,8 +5,8 @@
     <property name="units">in</property>
     <property name="comments">Copyright (c) 2006 &lt;&lt;Your Company Name here>></property>
     <parameters>
-        <scalar-parameter name="reportName" id="1626">
-            <property name="hidden">false</property>
+        <scalar-parameter name="mifosHiddenParam" id="1626">
+            <property name="hidden">true</property>
             <property name="valueType">static</property>
             <property name="dataType">string</property>
             <property name="controlType">text-box</property>
@@ -73,13 +73,12 @@
     </parameters>
     <data-sources>
         <script-data-source name="Scripted Data Source" id="4">
-            <method name="open"><![CDATA[Packages.java.util.logging.Logger.getLogger("").info("DS-OPEN");
-Packages.org.mifos.application.productdefinition.persistence.LoanPrdPersistence.enableThreadCacheForReports();
-var userId = reportContext.getParameterValue("userId");
-
-reportsDataService = new Packages.org.mifos.application.reports.business.service.ReportsDataService();
+            <method name="open"><![CDATA[var logger = Packages.java.util.logging.Logger.getLogger("");
+Packages.org.mifos.application.productdefinition.persistence.LoanPrdPersistence.enableThreadCacheForReports();
+var userId = reportContext.getParameterValue("userId");
+reportsDataService = new Packages.org.mifos.application.reports.business.service.ReportsDataService();
 reportsDataService.initialize(userId);]]></method>
-            <method name="close"><![CDATA[reportsDataService = null;
+            <method name="close"><![CDATA[reportsDataService = null;
 Packages.org.mifos.application.productdefinition.persistence.LoanPrdPersistence.disableThreadCacheForReports();]]></method>
         </script-data-source>
     </data-sources>
@@ -120,51 +119,51 @@
                 </list-property>
             </structure>
             <property name="dataSource">Scripted Data Source</property>
-            <method name="open"><![CDATA[Packages.java.util.logging.Logger.getLogger("").info("LP");
-
-var request = reportContext.getHttpServletRequest();
-Packages.java.util.logging.Logger.getLogger("").info("request:" + request );
-
-loanProducts = reportsDataService.getAllLoanProducts();
-if (loanProducts.size()>1) {
-	reportContext.setParameterValue("loanProductId", loanProducts.get(1).getPrdOfferingId());
-	reportContext.setPersistentGlobalVariable("defaultLoanProductId", loanProducts.get(1).getPrdOfferingId());
-	Packages.java.util.logging.Logger.getLogger("").info("set 2nd loanProduct as default:" + reportContext.getParameterValue("loanProductId"));
-	Packages.java.util.logging.Logger.getLogger("").info("defaultLoanProductId:" + reportContext.getPersistentGlobalVariable("defaultLoanProductId"));
-}
-
-iterator = loanProducts.iterator();
-
-flag = 0;
+            <method name="open"><![CDATA[Packages.java.util.logging.Logger.getLogger("").info("LP");
+
+var request = reportContext.getHttpServletRequest();
+Packages.java.util.logging.Logger.getLogger("").info("request:" + request );
+
+loanProducts = reportsDataService.getAllLoanProducts();
+if (loanProducts.size()>1) {
+	reportContext.setParameterValue("loanProductId", loanProducts.get(1).getPrdOfferingId());
+	reportContext.setPersistentGlobalVariable("defaultLoanProductId", loanProducts.get(1).getPrdOfferingId());
+	Packages.java.util.logging.Logger.getLogger("").info("set 2nd loanProduct as default:" + reportContext.getParameterValue("loanProductId"));
+	Packages.java.util.logging.Logger.getLogger("").info("defaultLoanProductId:" + reportContext.getPersistentGlobalVariable("defaultLoanProductId"));
+}
+
+iterator = loanProducts.iterator();
+
+flag = 0;
 branchId = reportContext.getParameterValue("branchId");]]></method>
-            <method name="fetch"><![CDATA[if(flag == 0) {
-	if(branchId == null || branchId == -2){
-	    row["ID"] = -2;
-	    row["Name"] = "---Select---";
-	    
-	}else if(loanProducts.size() == 1) {
-        row["ID"] = -2;
-	    row["Name"] = "---N/A---";
-    }
-	flag = -1;
-	return true;
-}
-
-if(iterator.hasNext() == false ){
-	return false;
-}
-
-if (loanProducts.size()>1) {
-    var loanProduct = iterator.next( );
-
-    row["ID"] = loanProduct.getPrdOfferingId();
-    row["Name"] = loanProduct.getPrdOfferingName();
-    if(row["ID"] == null)
-       row["ID"] = -1;
-
-    return true;
+            <method name="fetch"><![CDATA[if(flag == 0) {
+	if(branchId == null || branchId == -2){
+	    row["ID"] = -2;
+	    row["Name"] = "---Select---";
+	    
+	}else if(loanProducts.size() == 1) {
+        row["ID"] = -2;
+	    row["Name"] = "---N/A---";
+    }
+	flag = -1;
+	return true;
+}
+
+if(iterator.hasNext() == false ){
+	return false;
+}
+
+if (loanProducts.size()>1) {
+    var loanProduct = iterator.next( );
+
+    row["ID"] = loanProduct.getPrdOfferingId();
+    row["Name"] = loanProduct.getPrdOfferingName();
+    if(row["ID"] == null)
+       row["ID"] = -1;
+
+    return true;
 }]]></method>
-            <method name="close"><![CDATA[loanProducts = null;
+            <method name="close"><![CDATA[loanProducts = null;
 iterator = null;]]></method>
         </script-data-set>
         <script-data-set name="Branches" id="34">
@@ -203,37 +202,37 @@
                 </list-property>
             </structure>
             <property name="dataSource">Scripted Data Source</property>
-            <method name="open"><![CDATA[Packages.java.util.logging.Logger.getLogger("").info("BR");
-branches = reportsDataService.getActiveBranchesUnderUser();
-
-if (branches.size()>1) {
-	reportContext.setParameterValue("branchId", branches.get(1).getOfficeId());
-	reportContext.setPersistentGlobalVariable("defaultBranchId", branches.get(1).getOfficeId());
-	Packages.java.util.logging.Logger.getLogger("").info("set 2nd branch as default:" + reportContext.getParameterValue("branchId"));
-	Packages.java.util.logging.Logger.getLogger("").info("defaultBranchId:" + reportContext.getPersistentGlobalVariable("defaultBranchId"));
-}
-
-iterator = branches.iterator();
-
+            <method name="open"><![CDATA[Packages.java.util.logging.Logger.getLogger("").info("BR");
+branches = reportsDataService.getActiveBranchesUnderUser();
+
+if (branches.size()>1) {
+	reportContext.setParameterValue("branchId", branches.get(1).getOfficeId());
+	reportContext.setPersistentGlobalVariable("defaultBranchId", branches.get(1).getOfficeId());
+	Packages.java.util.logging.Logger.getLogger("").info("set 2nd branch as default:" + reportContext.getParameterValue("branchId"));
+	Packages.java.util.logging.Logger.getLogger("").info("defaultBranchId:" + reportContext.getPersistentGlobalVariable("defaultBranchId"));
+}
+
+iterator = branches.iterator();
+
 flag = 0;]]></method>
-            <method name="fetch"><![CDATA[if(flag == 0) {
-	row["ID"] = -2;
-	row["Name"] = "---Select---";
-	flag = -1;
-	return true;
-}
-
-if(iterator.hasNext() == false ){
-	return false;
-}
-
-var branch = iterator.next();
-
-row["ID"] = branch.getOfficeId();
-row["Name"] = branch.getOfficeName();
-
+            <method name="fetch"><![CDATA[if(flag == 0) {
+	row["ID"] = -2;
+	row["Name"] = "---Select---";
+	flag = -1;
+	return true;
+}
+
+if(iterator.hasNext() == false ){
+	return false;
+}
+
+var branch = iterator.next();
+
+row["ID"] = branch.getOfficeId();
+row["Name"] = branch.getOfficeName();
+
 return true;]]></method>
-            <method name="close"><![CDATA[branches = null;
+            <method name="close"><![CDATA[branches = null;
 iterator = null;]]></method>
         </script-data-set>
         <script-data-set name="LoanOfficers" id="35">
@@ -272,53 +271,53 @@
                 </list-property>
             </structure>
             <property name="dataSource">Scripted Data Source</property>
-            <method name="open"><![CDATA[Packages.java.util.logging.Logger.getLogger("").info("LO");
-branchId = reportContext.getParameterValue("branchId");
-Packages.java.util.logging.Logger.getLogger("").info("getParameterValue-branchId:" + branchId);
-Packages.java.util.logging.Logger.getLogger("").info("defaultBranchId:" + reportContext.getPersistentGlobalVariable("defaultBranchId"));
-
-loanOfficers = reportsDataService.getActiveLoanOfficers(branchId);
-
-if (loanOfficers.size()>1) {
-	reportContext.setParameterValue("loanOfficerId", loanOfficers.get(1).getPersonnelId());
-	reportContext.setPersistentGlobalVariable("defaultLoanOfficerId", loanOfficers.get(1).getPersonnelId());
-	Packages.java.util.logging.Logger.getLogger("").info("set 2nd loanOfficer as default:" + reportContext.getParameterValue("loanOfficerId"));
-	Packages.java.util.logging.Logger.getLogger("").info("defaultLoanOfficerId:" + reportContext.getPersistentGlobalVariable("defaultLoanOfficerId"));
-}
-
-
-iterator = loanOfficers.iterator();
-
+            <method name="open"><![CDATA[Packages.java.util.logging.Logger.getLogger("").info("LO");
+branchId = reportContext.getParameterValue("branchId");
+Packages.java.util.logging.Logger.getLogger("").info("getParameterValue-branchId:" + branchId);
+Packages.java.util.logging.Logger.getLogger("").info("defaultBranchId:" + reportContext.getPersistentGlobalVariable("defaultBranchId"));
+
+loanOfficers = reportsDataService.getActiveLoanOfficers(branchId);
+
+if (loanOfficers.size()>1) {
+	reportContext.setParameterValue("loanOfficerId", loanOfficers.get(1).getPersonnelId());
+	reportContext.setPersistentGlobalVariable("defaultLoanOfficerId", loanOfficers.get(1).getPersonnelId());
+	Packages.java.util.logging.Logger.getLogger("").info("set 2nd loanOfficer as default:" + reportContext.getParameterValue("loanOfficerId"));
+	Packages.java.util.logging.Logger.getLogger("").info("defaultLoanOfficerId:" + reportContext.getPersistentGlobalVariable("defaultLoanOfficerId"));
+}
+
+
+iterator = loanOfficers.iterator();
+
 flag = 0;]]></method>
-            <method name="fetch"><![CDATA[if(flag == 0) {
-	if(branchId == null || branchId == -2){
-	    row["ID"] = -2;
-	    row["Name"] = "---Select---";
-	    
-	}else if(loanOfficers.size() == 1) {
-        row["ID"] = -2;
-	    row["Name"] = "---N/A---";
-    }
-	flag = -1;
-	return true;
-}
-
-if(iterator.hasNext() == false ){
-	return false;
-}
-
-if (loanOfficers.size()>1) {
-    var loanOfficer = iterator.next( );
-
-    row["ID"] = loanOfficer.getPersonnelId();
-    row["Name"] = loanOfficer.getDisplayName();
-
-    if(row["ID"] == null)
-       row["ID"] = -1;
-   
-    return true;
+            <method name="fetch"><![CDATA[if(flag == 0) {
+	if(branchId == null || branchId == -2){
+	    row["ID"] = -2;
+	    row["Name"] = "---Select---";
+	    
+	}else if(loanOfficers.size() == 1) {
+        row["ID"] = -2;
+	    row["Name"] = "---N/A---";
+    }
+	flag = -1;
+	return true;
+}
+
+if(iterator.hasNext() == false ){
+	return false;
+}
+
+if (loanOfficers.size()>1) {
+    var loanOfficer = iterator.next( );
+
+    row["ID"] = loanOfficer.getPersonnelId();
+    row["Name"] = loanOfficer.getDisplayName();
+
+    if(row["ID"] == null)
+       row["ID"] = -1;
+   
+    return true;
 }]]></method>
-            <method name="close"><![CDATA[loanOfficers = null;
+            <method name="close"><![CDATA[loanOfficers = null;
 iterator = null;]]></method>
         </script-data-set>
         <script-data-set name="DataForLoanAccountInActiveBad" id="849">
@@ -490,57 +489,57 @@
                 </list-property>
             </structure>
             <property name="dataSource">Scripted Data Source</property>
-            <method name="open"><![CDATA[Packages.java.util.logging.Logger.getLogger("").info("DFLAIAB");
-
-var branchId = reportContext.getParameterValue("branchId");
-
-var loanOfficerId = reportContext.getParameterValue("loanOfficerId");
-
-var loanProductId = reportContext.getParameterValue("loanProductId");
-
-current = reportsDataService.getTotalOutstandingPrincipalOfLoanAccountsInActiveGoodStanding(branchId,loanOfficerId,loanProductId);
-loans = reportsDataService.getLoanAccountsInActiveBadStanding(branchId,loanOfficerId,loanProductId);
+            <method name="open"><![CDATA[Packages.java.util.logging.Logger.getLogger("").info("DFLAIAB");
+
+var branchId = reportContext.getParameterValue("branchId");
+
+var loanOfficerId = reportContext.getParameterValue("loanOfficerId");
+
+var loanProductId = reportContext.getParameterValue("loanProductId");
+
+current = reportsDataService.getTotalOutstandingPrincipalOfLoanAccountsInActiveGoodStanding(branchId,loanOfficerId,loanProductId);
+loans = reportsDataService.getLoanAccountsInActiveBadStanding(branchId,loanOfficerId,loanProductId);
 iterator = loans.iterator();]]></method>
-            <method name="fetch"><![CDATA[if(current == null)
-{
-    row["Current"] = 0;
-}else{
-    row["Current"] = current;
-}
-
-if(iterator.hasNext() == false ){
-	return false;
-}
-Packages.java.util.logging.Logger.getLogger("").info("FETCH");
-var loan = iterator.next( );
-row["LoanNumber"]= loan.getGlobalAccountNum();
-row["Client"] = loan.getCustomer().getDisplayName();
-row["LoanAmount"] = loan.getLoanAmount().getAmount();
-row["Balance"] = loan.getRemainingPrincipalAmount().getAmount();
-row["Principal"] = loan.getTotalPrincipalAmountInArrearsAndOutsideLateness().getAmount();
-row["Interest"] = loan.getTotalInterestAmountInArrearsAndOutsideLateness().getAmount();
-row["DaysInArrears"] = loan.getDaysInArrears();
-
-if (loan.getDaysInArrears()>=1 && loan.getDaysInArrears() <=30)
-row["1-30"] = row["Balance"];
-
-if (loan.getDaysInArrears()>=31 && loan.getDaysInArrears() <=60)
-row["31-60"] = row["Balance"];
-
-if (loan.getDaysInArrears()>=61 && loan.getDaysInArrears() <=90)
-row["61-90"] = row["Balance"];
-
-if (loan.getDaysInArrears()>=91 && loan.getDaysInArrears()<=180)
-row["91-180"] =row["Balance"];
-
-if (loan.getDaysInArrears()>=181)
-row[">180"] =row["Balance"];
-
-
+            <method name="fetch"><![CDATA[if(current == null)
+{
+    row["Current"] = 0;
+}else{
+    row["Current"] = current;
+}
+
+if(iterator.hasNext() == false ){
+	return false;
+}
+Packages.java.util.logging.Logger.getLogger("").info("FETCH");
+var loan = iterator.next( );
+row["LoanNumber"]= loan.getGlobalAccountNum();
+row["Client"] = loan.getCustomer().getDisplayName();
+row["LoanAmount"] = loan.getLoanAmount().getAmount();
+row["Balance"] = loan.getRemainingPrincipalAmount().getAmount();
+row["Principal"] = loan.getTotalPrincipalAmountInArrearsAndOutsideLateness().getAmount();
+row["Interest"] = loan.getTotalInterestAmountInArrearsAndOutsideLateness().getAmount();
+row["DaysInArrears"] = loan.getDaysInArrears();
+
+if (loan.getDaysInArrears()>=1 && loan.getDaysInArrears() <=30)
+row["1-30"] = row["Balance"];
+
+if (loan.getDaysInArrears()>=31 && loan.getDaysInArrears() <=60)
+row["31-60"] = row["Balance"];
+
+if (loan.getDaysInArrears()>=61 && loan.getDaysInArrears() <=90)
+row["61-90"] = row["Balance"];
+
+if (loan.getDaysInArrears()>=91 && loan.getDaysInArrears()<=180)
+row["91-180"] =row["Balance"];
+
+if (loan.getDaysInArrears()>=181)
+row[">180"] =row["Balance"];
+
+
 return true;]]></method>
-            <method name="close"><![CDATA[loans = null;
-iterator = null;
-current = null;
+            <method name="close"><![CDATA[loans = null;
+iterator = null;
+current = null;
 Packages.java.util.logging.Logger.getLogger("").info("DFLAIAB-CLOSE");]]></method>
         </script-data-set>
     </data-sets>
